summaryrefslogtreecommitdiffstats
path: root/source/l/phonon-xine
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/phonon-xine')
-rw-r--r--source/l/phonon-xine/phonon-backend-xine-4.4.4.find.phonon.patch186
-rwxr-xr-xsource/l/phonon-xine/phonon-xine.SlackBuild131
-rw-r--r--source/l/phonon-xine/slack-desc19
3 files changed, 336 insertions, 0 deletions
diff --git a/source/l/phonon-xine/phonon-backend-xine-4.4.4.find.phonon.patch b/source/l/phonon-xine/phonon-backend-xine-4.4.4.find.phonon.patch
new file mode 100644
index 000000000..0ce1023c9
--- /dev/null
+++ b/source/l/phonon-xine/phonon-backend-xine-4.4.4.find.phonon.patch
@@ -0,0 +1,186 @@
+From: Andras Mantia <amantia@kde.org>
+Date: Thu, 10 Nov 2011 08:43:52 +0000
+Subject: Use the global FindPhonon.cmake that really finds Phonon.
+X-Git-Url: http://quickgit.kde.org/?p=phonon-xine.git&amp;a=commitdiff&amp;h=8c7fab4e433b53ac2f00093f1f464e0178c2d3e1
+---
+Use the global FindPhonon.cmake that really finds Phonon.
+---
+
+
+--- a/cmake/FindPhonon.cmake
++++ /dev/null
+@@ -1,53 +0,0 @@
+-# Find Phonon
+-
+-# Copyright (c) 2010, Harald Sitter <sitter@kde.org>
+-#
+-# Redistribution and use is allowed according to the terms of the BSD license.
+-# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
+-
+-if (NOT PHONON_BUILDSYSTEM_DIR)
+- find_program(PC_EXECUTABLE NAMES pkg-config
+- PATH_SUFFIXES bin
+- HINTS
+- ${CMAKE_INSTALL_PREFIX}
+- ONLY_CMAKE_FIND_ROOT_PATH
+- )
+-
+- if (NOT PC_EXECUTABLE)
+- if (Phonon_FIND_REQUIRED)
+- message(FATAL_ERROR "ERROR: Could not find pkg-config [required to find Phonon].")
+- endif (Phonon_FIND_REQUIRED)
+- endif (NOT PC_EXECUTABLE)
+-
+- if (PC_EXECUTABLE)
+- execute_process(COMMAND "${PC_EXECUTABLE}" --variable=buildsystemdir phonon
+- OUTPUT_VARIABLE _data_DIR
+- ERROR_QUIET
+- OUTPUT_STRIP_TRAILING_WHITESPACE)
+- file(TO_CMAKE_PATH "${_data_DIR}" _data_DIR)
+- find_path(PHONON_BUILDSYSTEM_DIR FindPhononInternal.cmake HINTS ${_data_DIR})
+- endif (PC_EXECUTABLE)
+-endif (NOT PHONON_BUILDSYSTEM_DIR)
+-
+-if (PHONON_BUILDSYSTEM_DIR)
+- set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${PHONON_BUILDSYSTEM_DIR})
+-
+- if (Phonon_FIND_REQUIRED)
+- set(_req REQUIRED)
+- endif (Phonon_FIND_REQUIRED)
+- if (PHONON_FIND_QUIETLY)
+- set(_quiet QUIET)
+- endif (PHONON_FIND_QUIETLY)
+-
+- find_package(PhononInternal ${_req} ${_quiet})
+-else (PHONON_BUILDSYSTEM_DIR)
+- if (_data_DIR)
+- if (Phonon_FIND_REQUIRED)
+- message(FATAL_ERROR "ERROR: FindPhonon.cmake not found in ${_data_DIR}")
+- endif (Phonon_FIND_REQUIRED)
+- else (_data_DIR)
+- if (Phonon_FIND_REQUIRED)
+- message(FATAL_ERROR "ERROR: Either pkg-config can not find its phonon config, or you are not using a recent enough Phonon version.")
+- endif (Phonon_FIND_REQUIRED)
+- endif (_data_DIR)
+-endif (PHONON_BUILDSYSTEM_DIR)
+
+--- /dev/null
++++ b/cmake/MacroEnsureVersion.cmake
+@@ -0,0 +1,117 @@
++# This file defines the following macros for developers to use in ensuring
++# that installed software is of the right version:
++#
++# MACRO_ENSURE_VERSION - test that a version number is greater than
++# or equal to some minimum
++# MACRO_ENSURE_VERSION_RANGE - test that a version number is greater than
++# or equal to some minimum and less than some
++# maximum
++# MACRO_ENSURE_VERSION2 - deprecated, do not use in new code
++#
++
++# MACRO_ENSURE_VERSION
++# This macro compares version numbers of the form "x.y.z" or "x.y"
++# MACRO_ENSURE_VERSION( FOO_MIN_VERSION FOO_VERSION_FOUND FOO_VERSION_OK)
++# will set FOO_VERSION_OK to true if FOO_VERSION_FOUND >= FOO_MIN_VERSION
++# Leading and trailing text is ok, e.g.
++# MACRO_ENSURE_VERSION( "2.5.31" "flex 2.5.4a" VERSION_OK)
++# which means 2.5.31 is required and "flex 2.5.4a" is what was found on the system
++
++# Copyright (c) 2006, David Faure, <faure@kde.org>
++# Copyright (c) 2007, Will Stephenson <wstephenson@kde.org>
++#
++# Redistribution and use is allowed according to the terms of the BSD license.
++# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
++
++# MACRO_ENSURE_VERSION_RANGE
++# This macro ensures that a version number of the form
++# "x.y.z" or "x.y" falls within a range defined by
++# min_version <= found_version < max_version.
++# If this expression holds, FOO_VERSION_OK will be set TRUE
++#
++# Example: MACRO_ENSURE_VERSION_RANGE3( "0.1.0" ${FOOCODE_VERSION} "0.7.0" FOO_VERSION_OK )
++#
++# This macro will break silently if any of x,y,z are greater than 100.
++#
++# Copyright (c) 2007, Will Stephenson <wstephenson@kde.org>
++#
++# Redistribution and use is allowed according to the terms of the BSD license.
++# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
++
++# NORMALIZE_VERSION
++# Helper macro to convert version numbers of the form "x.y.z"
++# to an integer equal to 10^4 * x + 10^2 * y + z
++#
++# This macro will break silently if any of x,y,z are greater than 100.
++#
++# Copyright (c) 2006, David Faure, <faure@kde.org>
++# Copyright (c) 2007, Will Stephenson <wstephenson@kde.org>
++#
++# Redistribution and use is allowed according to the terms of the BSD license.
++# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
++
++# CHECK_RANGE_INCLUSIVE_LOWER
++# Helper macro to check whether x <= y < z
++#
++# Copyright (c) 2007, Will Stephenson <wstephenson@kde.org>
++#
++# Redistribution and use is allowed according to the terms of the BSD license.
++# For details see the accompanying COPYING-CMAKE-SCRIPTS file.
++
++
++MACRO(NORMALIZE_VERSION _requested_version _normalized_version)
++ STRING(REGEX MATCH "[^0-9]*[0-9]+\\.[0-9]+\\.[0-9]+.*" _threePartMatch "${_requested_version}")
++ if (_threePartMatch)
++ # parse the parts of the version string
++ STRING(REGEX REPLACE "[^0-9]*([0-9]+)\\.[0-9]+\\.[0-9]+.*" "\\1" _major_vers "${_requested_version}")
++ STRING(REGEX REPLACE "[^0-9]*[0-9]+\\.([0-9]+)\\.[0-9]+.*" "\\1" _minor_vers "${_requested_version}")
++ STRING(REGEX REPLACE "[^0-9]*[0-9]+\\.[0-9]+\\.([0-9]+).*" "\\1" _patch_vers "${_requested_version}")
++ else (_threePartMatch)
++ STRING(REGEX REPLACE "([0-9]+)\\.[0-9]+" "\\1" _major_vers "${_requested_version}")
++ STRING(REGEX REPLACE "[0-9]+\\.([0-9]+)" "\\1" _minor_vers "${_requested_version}")
++ set(_patch_vers "0")
++ endif (_threePartMatch)
++
++ # compute an overall version number which can be compared at once
++ MATH(EXPR ${_normalized_version} "${_major_vers}*10000 + ${_minor_vers}*100 + ${_patch_vers}")
++ENDMACRO(NORMALIZE_VERSION)
++
++MACRO(MACRO_CHECK_RANGE_INCLUSIVE_LOWER _lower_limit _value _upper_limit _ok)
++ if (${_value} LESS ${_lower_limit})
++ set( ${_ok} FALSE )
++ elseif (${_value} EQUAL ${_lower_limit})
++ set( ${_ok} TRUE )
++ elseif (${_value} EQUAL ${_upper_limit})
++ set( ${_ok} FALSE )
++ elseif (${_value} GREATER ${_upper_limit})
++ set( ${_ok} FALSE )
++ else (${_value} LESS ${_lower_limit})
++ set( ${_ok} TRUE )
++ endif (${_value} LESS ${_lower_limit})
++ENDMACRO(MACRO_CHECK_RANGE_INCLUSIVE_LOWER)
++
++MACRO(MACRO_ENSURE_VERSION requested_version found_version var_too_old)
++ NORMALIZE_VERSION( ${requested_version} req_vers_num )
++ NORMALIZE_VERSION( ${found_version} found_vers_num )
++
++ if (found_vers_num LESS req_vers_num)
++ set( ${var_too_old} FALSE )
++ else (found_vers_num LESS req_vers_num)
++ set( ${var_too_old} TRUE )
++ endif (found_vers_num LESS req_vers_num)
++
++ENDMACRO(MACRO_ENSURE_VERSION)
++
++MACRO(MACRO_ENSURE_VERSION2 requested_version2 found_version2 var_too_old2)
++ MACRO_ENSURE_VERSION( ${requested_version2} ${found_version2} ${var_too_old2})
++ENDMACRO(MACRO_ENSURE_VERSION2)
++
++MACRO(MACRO_ENSURE_VERSION_RANGE min_version found_version max_version var_ok)
++ NORMALIZE_VERSION( ${min_version} req_vers_num )
++ NORMALIZE_VERSION( ${found_version} found_vers_num )
++ NORMALIZE_VERSION( ${max_version} max_vers_num )
++
++ MACRO_CHECK_RANGE_INCLUSIVE_LOWER( ${req_vers_num} ${found_vers_num} ${max_vers_num} ${var_ok})
++ENDMACRO(MACRO_ENSURE_VERSION_RANGE)
++
++
diff --git a/source/l/phonon-xine/phonon-xine.SlackBuild b/source/l/phonon-xine/phonon-xine.SlackBuild
new file mode 100755
index 000000000..2aff84356
--- /dev/null
+++ b/source/l/phonon-xine/phonon-xine.SlackBuild
@@ -0,0 +1,131 @@
+#!/bin/sh
+# Copyright 2011, 2012 Eric Hameleers, Eindhoven, NL
+# Copyright 2011, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+# -----------------------------------------------------------------------------
+
+
+PKGNAM=phonon-xine
+SRCNAM=phonon-backend-xine
+VERSION=${VERSION:-$(echo $SRCNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+BUILD=${BUILD:-1}
+
+NUMJOBS=${NUMJOBS:" -j7 "}
+
+# Automatically determine the architecture we're building on:
+MARCH=$( uname -m )
+if [ -z "$ARCH" ]; then
+ case "$MARCH" in
+ i?86) export ARCH=i486 ;;
+ armv7hl) export ARCH=$MARCH ;;
+ arm*) export ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) export ARCH=$MARCH ;;
+ esac
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.?z* || exit 1
+cd $SRCNAM-$VERSION || exit 1
+
+# Use better phonon detection routine:
+cat $CWD/phonon-backend-xine-4.4.4.find.phonon.patch | patch -p1 --verbose || exit 1
+
+# Switch from oxygen to hicolor icons. This way they are visible,
+# even when the current icon theme is not oxygen.
+for res in 16 22 32 48 64 128 sc ; do
+ mv xine/ox${res}-app-phonon-xine.png xine/hi${res}-app-phonon-xine.png
+done
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+echo Building ...
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_C_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS_RELEASE:STRING="$SLKCFLAGS" \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DMAN_INSTALL_DIR=/usr/man \
+ -DSYSCONF_INSTALL_DIR=/etc \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ ..
+ make $NUMJOBS
+ make DESTDIR=$PKG install
+cd -
+
+# Add documentation:
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING.LIB xine/BUGS \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+# Compress the man page(s):
+if [ -d $PKG/usr/man ]; then
+ find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+ for i in $(find $PKG/usr/man -type l -name "*.?") ; do ln -s $( readlink $i ).
+gz $i.gz ; rm $i ; done
+fi
+
+# Strip binaries (if any):
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Add a package description:
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+# Build the package:
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/source/l/phonon-xine/slack-desc b/source/l/phonon-xine/slack-desc
new file mode 100644
index 000000000..59ee7f0b6
--- /dev/null
+++ b/source/l/phonon-xine/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+phonon-xine: phonon-xine (xine backend for phonon)
+phonon-xine:
+phonon-xine: This package provides an additional xine backend for the phonon
+phonon-xine: multimedia framework used in KDE.
+phonon-xine:
+phonon-xine: For more information, visit:
+phonon-xine: https://projects.kde.org/projects/kdesupport/phonon/phonon-xine
+phonon-xine:
+phonon-xine:
+phonon-xine:
+phonon-xine: